Bug 60376 - Kudzu needs to recognize/show proper names for devices in Dell systems
Kudzu needs to recognize/show proper names for devices in Dell systems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: hwdata (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-26 18:20 EST by Joshua Giles
Modified: 2014-03-16 22:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 11:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated patch for pci.ids and pcitable files (2.02 KB, patch)
2002-02-28 15:32 EST, Joshua Giles
no flags Details | Diff
Diff of pci.ids for name change (368 bytes, patch)
2002-07-30 12:30 EDT, Joshua Giles
no flags Details | Diff
pcitable patch for name change (625 bytes, patch)
2002-07-30 12:31 EDT, Joshua Giles
no flags Details | Diff

  None (edit)
Description Joshua Giles 2002-02-26 18:20:44 EST
Description of Problem:

Kudzu needs to recognize/show proper names for devices in Dell systems.
The following patch should help recognize DRAC2, DRAC3 and ESM4(BMC and NON-BMC):

--- pci.ids.org Mon Feb 25 15:59:43 2002
+++ pci.ids     Tue Feb 26 16:33:34 2002
@@ -457,6 +457,7 @@
        9033  SCSI Controller
        9040  Multimedia card
        9060  MegaRAID
+       9063  MegaRAC
 101f  PictureTel
 1020  Hitachi Computer Products
 1021  OKI Electric Industry Co. Ltd.
@@ -598,7 +599,9 @@
        0002  PowerEdge Expandable RAID Controller 3/Di
        0003  PowerEdge Expandable RAID Controller 3/Si
        0004  PowerEdge Expandable RAID Controller 3/Si
+       0007  Dell Remote Assistant Card 3
        000a  PowerEdge Expandable RAID Controller 3/Di
+       000C  Dell Embedded Systems Management Device 4
 1029  Siemens Nixdorf IS
 102a  LSI Logic
        0000  HYDRA


--- pcitable.org        Tue Feb 26 10:29:32 2002
+++ pcitable    Tue Feb 26 16:36:52 2002
@@ -332,6 +332,7 @@
 0x101e 0x9033  "unknown"       "AMI|SCSI Controller"
 0x101e 0x9040  "unknown"       "AMI|Multimedia card"
 0x101e 0x9060  "megaraid"      "AMI|MegaRAID"
+0x101e  0x9063 "megarac"       "AMI|MegaRAC(series 780) Remote Access Companion"
 0x1022 0x2000  "pcnet32"       "Advanced Micro Devices [AMD]|79c970 [PCnet LANCE]"
 0x1022 0x2001  "pcnet32"       "Advanced Micro Devices [AMD]|79c978 [HomePNA]"
 0x1022 0x2020  "tmscsim"       "Advanced Micro Devices [AMD]|53c974 [PCscsi]"
@@ -445,7 +446,9 @@
 0x1028 0x0002  "aacraid"       "Dell Computer Corporation|PowerEdge Expandable
RAID Controller 3/Di"
 0x1028 0x0003  "aacraid"       "Dell Computer Corporation|PowerEdge Expandable
RAID Controller 3/Si"
 0x1028 0x0004  "aacraid"       "Dell Computer Corporation|PowerEdge Expandable
RAID Controller 3/Si"
+0x1028  0x0007  "drac3"                "Dell Computer Corporation Remote Access
Card"
 0x1028 0x000a  "aacraid"       "Dell Computer Corporation|PowerEdge Expandable
RAID Controller 3/Si"
+0x1028  0x000C  "esm4"         "Dell Computer Corporation Embedded Systems
Management Device 4
 0x102a 0x0000  "unknown"       "LSI Logic|HYDRA"
 0x102a 0x0010  "unknown"       "LSI Logic|ASPEN"
 0x102b 0x0010  "Card:Matrox Millennium"        "Matrox|MGA-I [Impression?]"


Additional Information:
Comment 1 Joshua Giles 2002-02-28 11:36:37 EST
There is a mistake with the naming of the drivers.  I will update A.S.A.P .
Comment 2 Joshua Giles 2002-02-28 15:32:21 EST
Created attachment 46940 [details]
Updated patch for pci.ids and pcitable files
Comment 3 Jay Turner 2002-03-07 12:06:09 EST
Assigning this out, as it doesn't appear that anything has been done with the
pcitables that were sent in.
Comment 4 Bill Nottingham 2002-03-07 12:12:08 EST
We don't ship any of those drivers.
Comment 5 Arjan van de Ven 2002-03-07 13:20:39 EST
We might soon. If we get the drivers ready in time for this release.
Comment 6 Bill Nottingham 2002-03-13 19:07:12 EST
fixed in hwdata-0.7.
Comment 7 Joshua Giles 2002-06-05 18:35:37 EDT
These entries into pcitable and pci.ids are referring to the MegaRAC Card.  
This is *NOT* the card we have at Dell.  Dell sells thier own version of the 
AMI Remote Assistant Card.  It's called the DRAC(Dell Remote Assistant Card).  
There are some differences between the two cards.  I am going to open a new 
bugzilla to change the name to DRAC.
Comment 8 Joshua Giles 2002-06-05 18:35:58 EDT
These entries into pcitable and pci.ids are referring to the MegaRAC Card.  
This is *NOT* the card we have at Dell.  Dell sells thier own version of the 
AMI Remote Assistant Card.  It's called the DRAC(Dell Remote Assistant Card).  
There are some differences between the two cards.
Comment 9 R P Herrold 2002-06-22 21:26:52 EDT
is this a cross bug to  66328 ?
Comment 10 Preston Brown 2002-07-23 10:24:48 EDT
Please provide a patch with the exact naming that you would like to use.  We
have used what you provided us in the patch from 2002-02-28, and that patch has
been in rawhide for quite some time.  Or you can examine the Limbo beta to see
what it currently reports.
Comment 11 R P Herrold 2002-07-23 11:00:52 EDT
I infer the question was directed to joshua_giles@dell.com or john_hull@dell.com
...
Comment 12 Joshua Giles 2002-07-30 12:30:16 EDT
Created attachment 67691 [details]
Diff of pci.ids for name change
Comment 13 Joshua Giles 2002-07-30 12:31:02 EDT
Created attachment 67692 [details]
pcitable patch for name change
Comment 14 Bill Nottingham 2002-07-30 17:38:17 EDT
added in 0.36-1
Comment 15 Joshua Giles 2002-08-01 11:45:33 EDT
Do I need to file a bug for Advanced Server or will this change be reflected in 
the next update/release for the Advanced Server line?
Comment 16 Arjan van de Ven 2002-08-01 11:48:17 EDT
I recommend filing a new bug
Comment 17 Bill Nottingham 2002-08-14 00:13:43 EDT
Note that the rac driver isn't even in AS, as I recall.

Note You need to log in before you can comment on or make changes to this bug.